be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

## Class RenewalType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.RenewalType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:53:20+01:00",
                 comments="JAXB RI v2.3.7")
      public class RenewalType
      extends Object
      implements Serializable

  Java class for renewalType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="renewalType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <sequence>
                 <element name="decimal" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
                 <element name="duration" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}durationType" minOccurs="0"/>
               </sequence>
               <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenewalType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigDecimal` | `getDecimal()` Gets the value of the decimal property.
    `DurationType` | `getDuration()` Gets the value of the duration property.
    `TextType` | `getText()` Gets the value of the text property.
    `void` | `setDecimal(BigDecimal value)` Sets the value of the decimal property.
    `void` | `setDuration(DurationType value)` Sets the value of the duration property.
    `void` | `setText(TextType value)` Sets the value of the text property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenewalType

          public RenewalType()

  - ### Method Detail

    - #### getText

          public TextType getText()

      Gets the value of the text property.
      Returns:
        possible object is `TextType`

    - #### setText

          public void setText(TextType value)

      Sets the value of the text property.
      Parameters:
        `value` - allowed object is `TextType`

    - #### getDecimal

          public BigDecimal getDecimal()

      Gets the value of the decimal property.
      Returns:
        possible object is `BigDecimal`

    - #### setDecimal

          public void setDecimal(BigDecimal value)

      Sets the value of the decimal property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getDuration

          public DurationType getDuration()

      Gets the value of the duration property.
      Returns:
        possible object is `DurationType`

    - #### setDuration

          public void setDuration(DurationType value)

      Sets the value of the duration property.
      Parameters:
        `value` - allowed object is `DurationType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.